DEBCHANGE(1)

BEZEICHNUNG
debchange - Werkzeug zum Verwalten der Datei »debian/changelog« in einem Quellpaket

ÜBERSICHT
debchange [Optionen] [Text …]
dch [Optionen] [Text …]

BESCHREIBUNG
debchange oder dessen Alias dch wird eine neue Kommentarzeile zum Debian-Changelog im aktuellen Quellbaum hinzufügen. Dieser Befehl muss innerhalb dieses Baums ausgeführt werden. Falls der Text der Änderung auf der Befehlszeile angegeben wurde, wird debchange im Stapelverarbeitungsmodus laufen und einfach den Text hinzufügen sowie, falls nötig, Zeilenumbrüche an der geeigneten Stelle in debian/changelog (oder dem durch Optionen angegeben Changelog, wie unten beschrieben) hinzufügen. Falls der auf der Befehlszeile angegebene Text eine Nullzeichenkette ist, wird debchange im Stapelverarbeitungsmodus ausgeführt ohne einen Text hinzuzufügen. Falls der auf der Befehlszeile angegebene Text eine Leerzeichenzeichenkette ist, wird debchange im Stapelverarbeitungsmodus ausgeführt und fügt einen leeren Changelog-Eintrag hinzu. Falls kein Text angegeben wurde, wird debchange den durch sensible-editor festgelegten Editor für Sie öffnen, um die Datei zu bearbeiten. (Die Umgebungsvariablen VISUAL und EDITOR werden in dieser Reihenfolge verwendet, um festzustellen, welcher Editor benutzt werden soll). Editoren, die die Option +n zum Starten der Bearbeitung an einer bestimmten Zeile verstehen, werden dies benutzen, um zum Bearbeiten an die korrekte Zeile der Datei zu positionieren. Falls der Editor beendet wird, ohne die temporäre Datei zu verändern, wird debchange beendet, ohne das existierende Changelog anzurühren. Beachten Sie, dass davon ausgegangen wird, dass das Changelog in UTF-8 kodiert ist - falls nicht, könnten Probleme auftreten. Bitte lesen Sie die Handbuchseite iconv(1), um herauszufinden, wie Changelogs mit älteren Kodierungen konvertiert werden können. Eine changelog-Datei oder eine NEWS-Datei kann unter Benutzung der weiter unten beschriebenen Option --create von Grunde auf erzeugt werden.

debchange unterstützt außerdem mittels der Option --closes automatisches Erzeugen von Changelog-Einträgen, die Fehlerberichte schließen. Dies wird üblicherweise die Fehlerdatenbank abfragen, das Debian Bug Tracking System (BTS, siehe https://bugs.debian.org/), um den Titel des Fehlers und das Paket, in dem er vorkommt, zu bestimmen. Dieses Verhalten kann durch Angabe der Option --noquery oder dem Setzen der Konfigurationsvariablen DEBCHANGE_QUERY_BTS auf no beendet werden, wie nachfolgend beschrieben beendet werden. In beiden Fällen wird der Editor (wie oben beschrieben) immer aufgerufen, um Gelegenheit zu geben, die Einträge zu ändern, und das Changelog wird akzeptiert, egal, ob Änderungen gemacht wurden oder nicht. Ein zusätzlicher Changelog-Eintrag kann auf der Befehlszeile zu den Einträgen zum Schließen angegeben werden.

Von --append, --increment, --edit, --release und --newversion kann höchstens eins, wie unten aufgeführt, benutzt werden. Falls keine Optionen angegeben wurden, wird debchange Entscheidungsregeln benutzen, um abzuschätzen, ob ein Paket veröffentlicht wurde oder nicht, und sich so verhalten, als sei bei der Veröffentlichung des Pakets --increment angegeben gewesen oder andernfalls, als ob --append angegeben wurde.

Es können zwei verschiedene Zusammenstellungen von Entscheidungsregeln benutzt werden, was durch die Option --release-heuristic oder die Konfigurationsdateivariable DEBCHANGE_RELEASE_HEURISTIC geregelt wird. Die Standard-Changelog-Entscheidungsregel geht davon aus, dass das Paket veröffentlicht wurde, wenn sein Changelog im Feld »distribution« nicht UNRELEASED enthält. Falls diese Entscheidungsregel aktiviert ist, wird die Distribution UNRELEASED in neuen Changelog-Einträgen vorgeben und die nachfolgend beschriebene Option --mainttrailer wird automatisch aktiviert. Dies kann nützlich sein, falls ein Paket durch verschiedene Paketbetreuer veröffentlicht werden kann oder falls Sie die Üpload-Protokolle nicht aufbewahren. Die alternative Protokoll-Entscheidungsregel bestimmt, ob ein Paket veröffentlicht wurde, indem es im übergeordneten Verzeichnis eine geeignete dupload(1)- oder dput(1)-Protokolldatei sucht. Falls die Protokolldatei gefunden aber kein erfolgreiches Hochladen aufgezeichnet wurde, wird eine Warnung ausgegeben. Dies kann daher rühren, dass das vorhergehende Hochladen von einer Version von dupload vor 2.1 durchgeführt wurde oder das Hochladen fehlschlug.

Falls entweder --increment oder --newversion benutzt wird, wird der Name und die E-Mail der neuen Version wie folgt bestimmt. Falls die Umgebungsvariable DEBFULLNAME gesetzt ist, wird diese für den vollständigen Namen des Betreuers verwendet; falls nicht, wird NAME geprüft. Falls die Umgebungsvariable DEBEMAIL gesetzt ist, wird diese für die E-Mail-Adresse benutzt. Falls diese Variable die Form »Name <E-Mail>« hat, dann wird der Betreuername außerdem von hier genommen, wenn weder DEBFULLNAME noch NAME gesetzt sind. Falls diese Variable nicht gesetzt ist, wird der gleiche Test für die Umgebungsvariable EMAIL durchgeführt. Als nächste wird, falls der vollständige Name immer noch nicht bestimmt wurde, getpwuid(3) verwendet, um den Namen aus der Passwortdatei zu bestimmen. Falls dies fehlschlägt, wird der vorherige Changelog-Eintrag benutzt. Für die E-Mail-Adresse wird dann, falls sie nicht von DEBEMAIL oder EMAIL gesetzt wurde, in /etc/mailname nachgesehen, dann wird versucht, sie aus dem Benutzernamen und dem FQDN zu bilden, andernfalls wird die E-Mail-Adresse aus dem vorherigen Changelog-Eintrag verwendet. In anderen Worten: Es ist ein guter Rat, DEBEMAIL und DEBFULLNAME zu setzen, wenn dieses Skript benutzt wird.

Für Changelogs, die Änderungen durch mehrere Mitbetreuer eines Pakets aufzeichnen, ist Unterstützung inbegriffen. Falls ein Eintrag an die aktuellen Versionseinträge angehängt wird und sich der Betreuer vom Betreuer unterscheidet, der als derjenige aufgelistet ist, der die letzten Einträge vorgenommen hat, dann werden dem Changelog Zeilen hinzugefügt, die aussagen, welcher Betreuer welche Änderungen vorgenommen hat. Derzeit wird nur einer von mehreren dieser Aufzeichnungsstile für diese Information unterstützt, in der der Name des Betreuers, der eine Gruppe von Änderungen vorgenommen hat, in einer Zeile vor den Änderungen in eckigen Klammen erscheint. Dies kann mittels der Option --[no]multimaint oder der Konfigurationsdateioption DEBCHANGE_MULTIMAINT ein- und ausgeschaltet werden; standardmäßig wird es eingeschaltet. Beachten Sie, dass diese Optionstillschweigend ignoriert wird, falls ein Eintrag bereits auf diese Art markiert wurde.

Falls der Verzeichnisname des Quellverzeichnisbaums die Form Paket-Version hat, wird debchange außerdem versuchen, ihn umzubenennen, falls sich die Versionsnummer (der Originalautoren) ändert. Dies kann durch Verwendung der Befehlszeilen- oder Konfigurationsdateioption --preserve vermieden werden, wie nachfolgend beschrieben.

Falls --force-bad-version oder --allow-lower-version benutzt wird, wird debchange nicht stoppen, falls die neue Version kleiner als die aktuelle ist. Dies ist insbesondere beim Zurückportieren nützlich.

Prüfung von Verzeichnisnamen
Ebenso wie mehrere andere Skripte im Paket devscripts wird debchange das Verzeichnis emporsteigen, bis es eine debian/changelog-Datei findet. Als eine Schutzmaßnahme gegen verirrte Dateien, die potenziell Probleme bereiten, wird es den Namen des übergeordneten Verzeichnisses untersuchen, sobald es die debian/changelog-Datei findet, und prüfen, ob dieser Verzeichnisname dem Paketnamen entspricht. Wie dies genau geschieht, wird über zwei Konfigurationsdateivariablen geregelt, DEVSCRIPTS_CHECK_DIRNAME_LEVEL und DEVSCRIPTS_CHECK_DIRNAME_REGEX, sowie ihre entsprechenden Befehlszeilenoptionen --check-dirname-level und --check-dirname-regex.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL kann die folgenden Werte annehmen:

0   prüft den Verzeichnisnamen nie.

1   prüft den Verzeichnisnamen nur, falls in der Suche nach debian/changelog das Verzeichnis gewechselt werden muss. Dies ist das Standardverhalten.

2   prüft den Verzeichnisnamen immer.

The directory name is checked by testing whether the current directory name (as determined by pwd(1)) matches the regex given by the configuration file option DEVSCRIPTS_CHECK_DIRNAME_REGEX or by the command line option --check-dirname-regex regex. Here regex is a Perl regex (see perlre(3perl)), which will be anchored at the beginning and the end. If regex contains a '/', then it must match the full directory path. If not, then it must match the full directory name. If regex contains the string 'PACKAGE', this will be replaced by the source package name, as determined from the changelog. The default value for the regex is: 'PACKAGE(-.+)?', thus matching directory names such as PACKAGE and PACKAGE-version.

Das Standard-Changelog, das bearbeitet werden soll, ist debian/changelog; dies kann jedoch mittels der Optionen --changelog, --news oder der Umgebungsvariable CHANGELOG, wie nachfolgend beschrieben geändert werden.

OPTIONEN

--append, -a
    fügt einen neuen Changelog-Eintrag an das Ende der Einträge der aktuellen Version hinzu.

--increment, -i
    Erhöht entweder den letzten Bestandteil der Debian-Veröffentlichungsnummer oder, falls dies ein natives Debian-Paket ist, die Versionsnummer. Für Ubuntu oder Tanglu wird dies außerdem die Endung von »buildX« in »ubuntu1« beziehungsweise »tanglu1« ändern. Benutzen Sie -R oder --rebuild für ein Erhöhen ohne Änderung beim Neubauen. Dies erstellt am Anfang des Changelogs einen neuen Abschnitt mit geeigneten Kopf- und Fußzeilen. Falls dies eine neue Version eines nativen Debian-Pakets ist, wird außerdem der Verzeichnisname geändert, um dies widerzuspiegeln. Falls DEBCHANGE_RELEASE_HEURISTIC changelog (Vorgabe) und die aktuelle Veröffentlichung UNRELEASED ist, wird dies nur die Version des aktuellen Changelog-Eintrags ändern. Andernfalls wird dies einen neuen Changelog-Eintrag mit der neuen Version erstellen.

--newversion Version, -v Version
    Dies gibt die Versionsnummer (einschließlich des Debian-Veröffentlichungsteils) explizit an und verhält sich ansonsten wie die Option --increment. Es wird außerdem den Verzeichnisnamen ändern, falls sich die Versionsnummer des Originalpakets geändert hat. Falls DEBCHANGE_RELEASE_HEURISTIC changelog (Vorgabe) und die aktuelle Veröffentlichung UNRELEASED ist, wird dies nur die Version des aktuellen Changelog-Eintrags ändern. Andernfalls wird dies einen neuen Changelog-Eintrag mit der neuen Version erstellen.

--edit, -e
    bearbeitet das Changelog in einem Editor.

--release, -r
    Finalize the changelog for a release. Update the changelog timestamp. If the distribution is set to UNRELEASED, change it to the distribution from the previous changelog entry (or another distribution as specified by --distribution). If there are no previous changelog entries and an explicit distribution has not been specified, unstable will be used (or the name of the current development release when run under Ubuntu).

--force-save-on-release
    Wenn --release benutzt wird, wird ein Editor geöffnet, um die Prüfung des Changelogs zu ermöglichen. Der Benutzer wird aufgefordert, die Datei zu sichern, um das geänderte Changelog zu akzeptieren, andernfalls wird das Original beibehalten (Vorgabe).

--no-force-save-on-release
    Tun Sie das nicht. Beachten Sie, dass dieser ein Schein-Changelog-Eintrag mitgeliefert werden kann, um den gleichen Effekt zu erzielen – z.B. debchange --release "". Der Eintrag wird dem Changelog nicht hinzugefügt, aber seine Anwesenheit wird den Editor unterdrücken.

--create
    Dies wird eine neue debian/changelog-Datei erstellen (oder NEWS, falls die Option --news benutzt wird). Sie müssen sich auf der obersten Verzeichnisebene befinden, um dies zu tun; es wird keine Prüfung des Verzeichnisnamens durchgeführt. Der Paketname und die Version können entweder unter Benutzung der Optionen --package und --newversion angegeben, aus dem Verzeichnisnamen mittels der Option --fromdirname bestimmt werden oder manuell in die erzeugte changelog-Datei eingegeben werden. Der Betreuername wird, falls dies möglich ist, aus der Umgebung bestimmt und die Distribution wird entweder mittels der Option --distribution oder in der erzeugten changelog-Datei angegeben.

--empty
    Wenn dies in Kombination mit --create benutzt wird, unterdrückt es den automatischen Zusatz eines »initial release«-Changelog-Eintrags (so dass der nächste Eintrag von debchange den ersten Eintrag hinzufügt). Beachten Sie, dass dies mangels Änderungen eine dpkg-parsechangelog-Warnung beim nächsten Aufruf verursacht.

--package Paket
    Dies gibt den Paketnamen an, der im neuen Changelog benutzt werden soll; dies könnte in Verbindung mit den Optionen --create, --increment und --newversion verwendet werden.

--nmu, -n
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen durch jemanden, der nicht Betreuer des Pakets ist (NMU) entweder durch Anhängen von ».1« an eine nicht NMU-Versionsnummer (sofern es kein natives Debian-Paket ist, in diesem Fall wird »+nmu1« angehängt) oder durch Erhöhen einer NMU-Versionsnummer und dem Hinzufügen eines NMU-Changelog-Eintrags. Dies geschieht automatisch, falls der Paketierer in debian/control weder im Feld Maintainer noch im Feld Uploaders steht, außer wenn DEBCHANGE_AUTO_NMU auf no gesetzt ist oder die Option --no-auto-nmu benutzt wird.

--bin-nmu
    erhöht die Debian-Veröffentlichungsnummer für ein binäres Hochladen durch jemanden, der nicht Betreuer des Pakets ist (NMU) entweder durch Anhängen von »+b1« an eine nicht binär-NMU-Versionsnummer oder durch Erhöhen einer binär-NMU-Versionsnummer und Hinzufügen eines binär-NMU-Changelog-Kommentars.

--qa, -q
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen durch das Debian-QA-Team und fügt einen Changelog-Kommentar QA upload hinzu.

--rebuild, -R
    erhöht die Debian-Veröffentlichungsnummer für ein Neubauen ohne Änderungen, indem ein »build1« angehängt oder die Versionsnummer eines neu gebauten Pakets erhöht wird.

--security, -s
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen durch das Debian-Sicherheits-Team als NMU und fügt einen Changelog-Kommentar Security Team upload hinzu.

--lts
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen durch das LTS-Team als NMU und fügt einen Changelog-Kommentar LTS Team upload hinzu.

--team
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen durch ein Team und fügt einen Changelog-Kommentar Team upload hinzu.

--upstream, -U
    hängt nicht distro-name1 an die Version einer abgeleiteten Distribution an, erhöht die Debian-Version.

--bpo
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen nach bullseye-backports und fügt einen Changelog-Kommentar »backport upload« hinzu.

--stable
    erhöht die Debian-Veröffentlichungsnummer für ein Hochladen in die aktuelle Stable-Veröffentlichung.

--local, -lEndung
    fügt eine Endung an eine Debian-Versionsnummer für ein lokal gebautes Paket hinzu.

--force-bad-version, -b
    erzwingt, dass eine Versionsnummer niedriger als die aktuelle ist (z.B. wenn rückportiert wird).

--allow-lower-version Muster
    erlaubt, dass eine Versionsnummer niedriger als die aktuelle ist, falls die neue Versionsnummer zum angegebenen Muster passt.

--force-distribution
    erzwingt, dass die bereitgestellte Distribution benutzt wird, sogar dann, wenn sie nicht zur Liste der bekannten Distributionen passt (z.B. für inoffizielle Distributionen).

--auto-nmu
    versucht automatisch zu bestimmen, ob eine Änderung im Changelog für ein Hochladen durch jemanden, der kein Paketbetreuer ist (NMU), steht. Dies ist die Voreinstellung.

--no-auto-nmu
    deaktiviert automatische NMU-Erkennung; entspricht dem Setzen von DEBCHANGE_AUTO_NMU auf no.

--fromdirname, -d
    Dies wird die Versionsnummer der Originalautoren vom Verzeichnisnamen nehmen, der in der Form Paket-Version vorliegen sollte. Falls die Versionsnummer der Originalautoren gegenüber dem neuesten Changelog-Eintrag erhöht wurde, wird ein neuer Eintrag mit der Versionsnummer Version-1 (oder Version, falls es ein natives Debian-Paket ist) erstellt, mit der gleichen Epoche wie die vorhergehende Paketversion. Falls die Versionsnummer der Originalautoren dieselbe ist, wird sich diese Option genauso verhalten wie -i.

--closes nnnnn[,nnnnn …]
    fügt Changelog-Einträge zum Schließen der angegebenen Fehlernummern hinzu. Außerdem ruft es den Editor nach dem Hinzufügen dieser Einträge auf. Dies wird Warnungen erzeugen, falls die Fehlerdatenbank nicht kontaktiert werden kann (und --noquery nicht angegeben wurde) oder falls es Probleme mit dem gefundenen Fehlerbericht gibt.

--[no]query
    Soll versucht werden, die Fehlerdatenbank beim Generieren der Einträge zum Schließen abzufragen?

--preserve, -p
    erhält den Namen des Quellverzeichnisbaums, falls sich die Versionsnummer der Originalautoren (oder die Versionsnummer eines nativen Debian-Pakets) ändert. Siehe auch den Konfigurationsdateivariablenabschnitt weiter unten.

--no-preserve, --nopreserve
    erhält den Namen des Quellverzeichnisbaums nicht (Vorgabe).

--vendor vendor
    überschreibt die durch Dpkg-vendor zurückgegebene Vorgabekennung mit der des Distributors. Dieser Name wird für Entscheidungsregeln benutzt, die auf neue Paketversionen und Plausibilitätsprüfungen der Zieldistribution angewendet werden.

--distribution Distribution, -D Distribution
    benutzt die angegebene Distribution in dem Changelog-Eintrag, der bearbeitet wird, anstatt die Distribution des vorherigen Changelog-Eintrags für neue Einträge oder den existierenden Wert für existierende Einträge zu verwenden.

--urgency Dringlichkeit, -u Dringlichkeit
    benutzt die angegebene Dringlichkeit in dem Changelog-Eintrag, der bearbeitet wird, anstatt die Standarddringlichkeit »medium« für neue Einträge oder den existierenden Wert für existierende Einträge zu verwenden.

--changelog Datei, -c Datei
    Dies wird das Changelog Datei anstelle des vorgegebenen debian/changelog bearbeiten. Diese Option setzt jede Einstellung der Umgebungsvariable CHANGELOG außer Kraft. Außerdem wird kein Durchlaufen von Verzeichnissen durchgeführt, wenn diese Option benutzt wird.

--news [News-Datei]
    Dies wird die News-Datei (standardmäßig debian/NEWS) statt des normalen Changelogs bearbeiten. Es wird eine Verzeichnissuche durchgeführt. Das Changelog wird untersucht, um die aktuelle Paketversion zu bestimmen.

--[no]multimaint
    Soll angezeigt werden, ob Teile des Changelogs durch unterschiedliche Paketbetreuer erstellt wurden? Vorgabe ist »yes«; siehe die Erörterung weiter oben und außerdem die Konfigurationsdateioption DEBCHANGE_MULTIMAINT weiter unten.

--[no]multimaint-merge
    Should all changes made by the same author be merged into the same changelog section? Default is yes; see the discussion above and also the DEBCHANGE_MULTIMAINT_MERGE configuration file option below.

--maintmaint, -m
    ändert nicht die Paketbetreuereinzelheiten, die vorher im Changelog aufgeführt wurden. Dies ist insbesondere für Sponsoren nützlich, die automatisch eine Nachricht bezüglich der Sponsorschaft hinzufügen möchten, ohne die anderen Changelog-Einzelheiten zu stören. Beachten Sie, dass es einige interessante Wechselwirkungen geben könnte, falls der Modus für mehrere Betreuer verwendet wird; Sie möchten in solchen Fällen wahrscheinlich das Changelog manuell prüfen, ehe Sie das Paket hochladen.

--controlmaint, -M
    benutzt Paketbetreuereinzelheiten aus dem debian/control-Feld Maintainer anstatt aus passenden Umgebungsvariablen (DEBFULLNAME, DEBEMAIL, etc.). Diese Option könnte nützlich sein, um Einzelheiten des Hauptpaketbetreuers im Vorspann des Changelogs nach einem falschen Bearbeiten wiederherzustellen (z.B. wenn -m beabsichtigt war, aber vergessen wurde) oder wenn ein Paket im Namen des Hauptpaketbetreuers (z.B. dem Team) veröffentlicht wird.

--[no]mainttrailer, -t
    Falls mainttrailer gesetzt wurde, werden Änderungen an der existierenden Changelog-Nachspannzeile vermieden (d.h. die Betreuer- und Datumsstempeleinzelheiten), es sei denn, es wird mit Optionen verwendet, die ein Ändern des Nachspanns erfordern (z.B. --create, --release, -i, --qa, etc.) Diese Option unterscheidet sich von --maintmaint, in dem es, falls zweckmäßig, den Mehrbetreuermodus mit Ausnahme der Bearbeitung des Nachspanns benutzt. Siehe auch die Konfigurationsdateioption DEBCHANGE_MULTIMAINT weiter unten.

--check-dirname-level N
    Die Erklärung dieser Variablen finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--check-dirname-regex regulärer_Ausdruck
    Die Erklärung dieser Variablen finden Sie im vorhergehenden Abschnitt Prüfung von Verzeichnisnamen.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

--release-heuristic Protokoll|Changelog
    steuert, wie debchange bestimmt, ob ein Paket veröffentlicht wurde, wenn entschieden wird, ob ein neuer Changelog-Eintrag erstellt oder an einen existierenden Changelog-Eintrag angehängt wird.

--date date
    Use the specified date in the changelog entry being edited. The date must be in RFC 5322 format, i.e. as produced by date -R.

--help, -h
    zeigt eine Hilfenachricht an und endet erfolgreich

--version
    zeigt Versions- und Copyright-Informationen an und endet erfolgreich.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Befehlszeilenoptionen können benutzt werden, um Einstellungen in Konfigurationsdateien zu setzen. Einstellungen in Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannten Variablen sind:

DEBCHANGE_PRESERVE
    Falls dieser Parameter auf yes gesetzt ist, ist das dasselbe, als wenn der Befehlszeilenparameter --preserve benutzt würde.

DEBCHANGE_QUERY_BTS
    Falls dieser Parameter auf no gesetzt ist, ist das dasselbe, als wenn der Befehlszeilenparameter --noquery benutzt würde.

DEVSCRIPTS_CHECK_DIRNAME_LEVEL, DEVSCRIPTS_CHECK_DIRNAME_REGEX
    Die Erklärung dieser Variablen finden Sie im vorhergehenden Abschnitt »Prüfung von Verzeichnisnamen«. Beachten Sie, dass dies paketweite Konfigurationsvariablen sind und daher alle devscripts-Skripte beeinflussen, die ihren Wert prüfen. Dies wird in ihren jeweiligen Handbuchseiten und in devscripts.conf(5) beschrieben.

DEBCHANGE_RELEASE_HEURISTIC
    steuert, wie debchange bestimmt, ob ein Paket veröffentlicht wurde, wenn entschieden wird, ob ein neuer Changelog-Eintrag erstellt oder an einen existierenden Changelog-Eintrag angehängt wird. Dies kann entweder log oder changelog sein.

DEBCHANGE_MULTIMAINT
    Falls dies auf no gesetzt ist, wird debchange keine Mehrbetreuer-Unterscheidungen einbauen, wenn ein anderer Betreuer einen Eintrag an ein existierendes Changelog anhängt. Siehe die vorhergehende Erörterung. Vorgabe ist yes.

DEBCHANGE_MULTIMAINT_MERGE
    If set to yes, when adding changes in multiple-maintainer mode debchange will check whether previous changes by the current maintainer exist and add the new changes to the existing block rather than creating a new block. Default is yes.

DEBCHANGE_MAINTTRAILER
    Falls dies auf no gesetzt ist, dann entspricht das der Verwendung des Befehlszeilenparameters --nomainttrailer.

DEBCHANGE_TZ
    benutzt diese Zeitzone für Changelog-Einträge. Vorgabe ist die Zeitzone von user/system, wie sie von »date -R« angezeigt und durch die Umgebungsvariable TZ beeinflusst wird.

DEBCHANGE_LOWER_VERSION_PATTERN
    Falls dies gesetzt ist, dann entspricht das der Verwendung des Befehlszeilenparameters --allow-lower-version.

DEBCHANGE_AUTO_NMU
    Falls dies auf no gesetzt ist, wird debchange nicht versuchen, automatisch zu bestimmen, ob der aktuelle Changelog-Abschnitt einen NMU darstellt. Die Vorgabe ist yes. Siehe die vorhergehende Erörterung der Option --nmu.

DEBCHANGE_FORCE_SAVE_ON_RELEASE
    Falls dies auf no gesetzt ist, dann entspricht das der Verwendung des Befehlszeilenparameters --no-force-save-on-release.

DEBCHANGE_VENDOR
    benutzt diesen Anbieter statt der Vorgabe (Ausgabe von Dpkg-vendor). Einzelheiten finden Sie unter --vendor.

UMGEBUNGSVARIABLEN

DEBEMAIL, EMAIL, DEBFULLNAME, NAME
    Siehe die vorhergehende Beschreibung über die Benutzung dieser Umgebungsvariablen.

CHANGELOG
    Diese Variable gibt an, welches Changelog anstelle von debian/changelog bearbeitet wird. Es wird kein Verzeichnisdurchlauf und keine Verzeichnisüberprüfung durchgeführt, wenn diese Variable gesetzt ist. Diese Variable wird durch die Befehlszeileneinstellung --changelog außer Kraft gesetzt.

VISUAL, EDITOR
    Diese Umgebungsvariablen legen (in dieser Reihenfolge) fest, welcher Editor durch sensible-editor benutzt wird.

SIEHE AUCH
debc(1), debclean(1), dput(1), dupload(1), devscripts.conf(5), gbp-dch(1)

AUTOR
Der ursprüngliche Autor war Christoph Lameter <clameter@debian.org>. Viele bedeutende Änderungen und Verbesserungen wurden von Julian Gilbey <jdg@debian.org> beigetragen.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.